Bug 170340 - rhythmbox crashes periodically while playing ogg files
rhythmbox crashes periodically while playing ogg files
Product: Fedora
Classification: Fedora
Component: rhythmbox (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Alexander Larsson
Depends On:
  Show dependency treegraph
Reported: 2005-10-10 15:59 EDT by Jerry James
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-11-27 00:38:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jerry James 2005-10-10 15:59:54 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
I have a bunch of ogg files created with grip + oggenc.  Playing them results in a rhythmbox crash at unpredictable times.  Sometimes it will play for only 15 minutes before crashing, other times it will go all day without crashing.  The actual ogg files being played don't seem to have any effect on it.  The only constant is that the crash always occurs BETWEEN tracks of a CD, not during actual play.

Just before crashing, rhythmbox will spew about a million repetitions of these lines to the terminal window:

(rhythmbox:26689): GStreamer-CRITICAL **: gst_bin_remove: assertion `GST_IS_ELEMENT (element)' failed

(rhythmbox:26689): GLib-GObject-WARNING **: invalid uninstantiatable type `(null)' in cast to `GstElement'

Note that 26689 was the pid of the rhythmbox process.  The backtrace when crashing looks like this:

#0  0x00ad3e91 in IA__g_type_check_instance_is_a (type_instance=0x8f5d3e0,
    iface_type=147745760) at gtype.c:3127
#1  0x026a5f8d in gst_bin_remove (bin=0x8d30078, element=0x8f5d3e0)
    at gstbin.c:652
#2  0x026a6fea in gst_bin_dispose (object=0x8d30078) at gstbin.c:983
#3  0x0028172e in gst_spider_dispose (object=0x8d30078) at gstspider.c:225
#4  0x00abcc54 in IA__g_object_unref (_object=0x8d30078) at gobject.c:558
#5  0x026a2dff in gst_object_unref (object=0x8d30078) at gstobject.c:248
#6  0x026a5e31 in gst_bin_remove_func (bin=0x8d34448, element=0x8d30078)
    at gstbin.c:628
#7  0x026a6027 in gst_bin_remove (bin=0x8d34448, element=0x8d30078)
    at gstbin.c:658
#8  0x026a6fea in gst_bin_dispose (object=0x8d34448) at gstbin.c:983
#9  0x026dd2db in gst_thread_dispose (object=0x8d34448) at gstthread.c:226
#10 0x00abcc54 in IA__g_object_unref (_object=0x8d34448) at gobject.c:558
#11 0x026a2dff in gst_object_unref (object=0x8d34448) at gstobject.c:248
#12 0x0807de98 in rb_player_close (mp=0x8dee920, error=0x6666)
    at rb-player-gst.c:793
#13 0x08066ad5 in rb_shell_player_set_playing_entry (player=0x8de6d70,
    entry=0xb4a0cc48) at rb-shell-player.c:855
#14 0x08067c1a in rb_shell_player_do_next (player=0x8de6d70)
    at rb-shell-player.c:1253
#15 0x080682ed in eos_cb (mmplayer=0x8dee920, data=0x8de6d70)
    at rb-shell-player.c:1919
#16 0x00ac67e7 in IA__g_cclosure_marshal_VOID__VOID (closure=0x8deea50,
    return_value=0x0, n_param_values=1, param_values=0xbfbfa1ec,
    invocation_hint=0xbfbfa0ec, marshal_data=0x80681ec) at gmarshal.c:77
#17 0x00abb285 in IA__g_closure_invoke (closure=0x8deea50,
    return_value=0x6666, n_param_values=26214, param_values=0x6666,
    invocation_hint=0x6666) at gclosure.c:437
#18 0x00ac975b in signal_emit_unlocked_R (node=0x8dee8c8, detail=0,
    instance=0x8dee920, emission_return=0x0, instance_and_params=0xbfbfa1ec)
    at gsignal.c:2488
#19 0x00acaeb0 in IA__g_signal_emit_valist (instance=0x8dee920, signal_id=175,
    detail=0, var_args=Variable "var_args" is not available.
) at gsignal.c:2247
#20 0x00acb223 in IA__g_signal_emit (instance=0x6666, signal_id=26214,
    detail=26214) at gsignal.c:2291
#21 0x0807d511 in eos_signal_idle (mp=0x8dee920) at rb-player-gst.c:289
#22 0x00a29730 in g_idle_dispatch (source=0xb4aeba80,
    callback=0x807d4d0 <eos_signal_idle>, user_data=0x6666) at gmain.c:3813
#23 0x00a274ce in IA__g_main_context_dispatch (context=0x8d62220)
    at gmain.c:1934
#24 0x00a2a4d6 in g_main_context_iterate (context=0x8d62220, block=1,
    dispatch=1, self=0x8cdfe90) at gmain.c:2565
#25 0x00a2a7c3 in IA__g_main_loop_run (loop=0x8d87a48) at gmain.c:2769
#26 0x0033b625 in bonobo_main () at bonobo-main.c:297
#27 0x0805fddd in main (argc=1, argv=0xbfbfa8a4) at main.c:202

I will keep the core file from which this backtrace came for awhile in case it should prove useful.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Rip a CD with grip and oggenc.
2. Play the ripped CD with rhythmbox.
3. Keep playing it over and over until rhythmbox crashes.

Actual Results:  Rhythmbox will occasionally crash between tracks of the CD.

Expected Results:  Rhythmbox should have played the entire CD without crashing.

Additional info:

Since the crash appears to be happening down in gstreamer, let me note that I have gstreamer-0.8.10-1 installed.
Comment 1 Matthias Clasen 2006-11-27 00:38:31 EST
Thank you for the bug report. However, Fedora Project no longer maintains this
version of the product. Please upgrade to the latest version and open a new bug
if the problem persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older
releases, and if you believe this bug is interesting to them, please report the
problem against Fedora Legacy component

Note You need to log in before you can comment on or make changes to this bug.